<template>
  <v-form-base
    id="form-base"
    :model="model"
    :schema="schema"
    :row="{ noGutters: false }"
    @input="log"
    @click="log"
    @drop="log"
  >
    <template #slot-top-type-form-base-text="{ obj }">
      <h4 class="slot mb-1">
        {{ `${obj.schema.label} ` }}
        <span v-if="obj.schema.required" class="red--text text--darken-4"
          >*</span
        >
      </h4>
    </template>

    <template #slot-top-type-form-base-textarea="{ obj }">
      <h4 class="slot mb-1">
        {{ `${obj.schema.label} ` }}
        <span v-if="obj.schema.required" class="red--text text--darken-4"
          >*</span
        >
      </h4>
    </template>

    <template #slot-top-type-form-base-time="{ obj }">
      <h4 class="slot mb-1">
        {{ `${obj.schema.label} ` }}
        <span v-if="obj.schema.required" class="red--text text--darken-4"
          >*</span
        >
      </h4>
    </template>

    <template #slot-top-type-form-base-file="{ obj }">
      <h4 class="slot mb-1">
        {{ `${obj.schema.label} ` }}
        <span v-if="obj.schema.required" class="red--text text--darken-4"
          >*</span
        >
      </h4>
    </template>

    <template #slot-top-type-form-base-select="{ obj }">
      <h4 class="slot mb-1">
        {{ `${obj.schema.label} ` }}
        <span v-if="obj.schema.required" class="red--text text--darken-4"
          >*</span
        >
      </h4>
    </template>

    <template #slot-top-type-form-base-radio="{ obj }">
      <h4 class="slot mb-1">
        {{ `${obj.schema.label} ` }}
        <span v-if="obj.schema.required" class="red--text text--darken-4"
          >*</span
        >
      </h4>
    </template>

    <template #slot-top-type-form-base-date="{ obj }">
      <h4 class="slot mb-1">
        {{ `${obj.schema.label} ` }}
        <span v-if="obj.schema.required" class="red--text text--darken-4"
          >*</span
        >
      </h4>
    </template>

    <template #slot-item-type-form-base-sectionTitle="{ obj }">
      <v-row no-gutters>
        <h2 class="pa-0 font-poppins font-weight-bold d-blocks">
          {{ `${obj.schema.title}` }}
        </h2>
        <v-col cols="12" class="px-0 pt-0">
          <v-divider></v-divider>
        </v-col>
      </v-row>
    </template>
  </v-form-base>
</template>

<script>
import VFormBase from 'vuetify-form-base'
export default {
  components: {
    VFormBase,
  },
  props: {
    model: {
      type: Object,
      required: true,
    },
    schema: {
      type: Object,
      required: true,
    },
  },
  methods: {
    log(val) {
      // const { on, id, index, key, value, obj } = log(val)
      const { id, key, data } = val

      // Añadir mas preguntas a una sección
      if (key.includes('add')) {
        const obj = key.split('.')
        const keys = Object.keys(data[obj[0]])
        this.$nextTick(this.addAnswer(obj[0], keys[0]))
      }
      // Quitar respuesta
      if (key === 'remove') {
        const obj = id.split('.')
        const index = obj[1].split('-')
        const section = obj[0].split('-')
        setTimeout(() => this.removeAnswer(section[3], index[1]), 100)
      }
    },
  },
}
</script>

<style></style>
